org.apache.xml.utils

## Class NSInfo

- java.lang.Object
- - org.apache.xml.utils.NSInfo

-     public class NSInfo
      extends java.lang.Object

  This class holds information about the namespace info of a node. It is used to optimize namespace lookup in a generic DOM.
  Usage:
    **For internal use only**

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ANCESTORHASXMLNS` Constant indicating an ancestor has an XMLNS attribute
    `static int` | `ANCESTORNOXMLNS` Constant indicating ancestors don't have an XMLNS attribute
    `static int` | `ANCESTORXMLNSUNPROCESSED` Constant for ancestors XMLNS atributes not processed
    `int` | `m_ancestorHasXMLNSAttrs` Flag indicating whether one of this node's ancestor has an XMLNS attribute
    `boolean` | `m_hasProcessedNS` Flag indicating whether namespaces have been processed for this node
    `boolean` | `m_hasXMLNSAttrs` Flag indicating whether this node has an XMLNS attribute
    `java.lang.String` | `m_namespace` The namespace URI

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NSInfo(boolean hasProcessedNS, boolean hasXMLNSAttrs)` Constructor NSInfo
    `NSInfo(boolean hasProcessedNS, boolean hasXMLNSAttrs, int ancestorHasXMLNSAttrs)` Constructor NSInfo
    `NSInfo(java.lang.String namespace, boolean hasXMLNSAttrs)` Constructor NSInfo

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_namespace

          public java.lang.String m_namespace

      The namespace URI

    - #### m_hasXMLNSAttrs

          public boolean m_hasXMLNSAttrs

      Flag indicating whether this node has an XMLNS attribute

    - #### m_hasProcessedNS

          public boolean m_hasProcessedNS

      Flag indicating whether namespaces have been processed for this node

    - #### m_ancestorHasXMLNSAttrs

          public int m_ancestorHasXMLNSAttrs

      Flag indicating whether one of this node's ancestor has an XMLNS attribute

    - #### ANCESTORXMLNSUNPROCESSED

          public static final int ANCESTORXMLNSUNPROCESSED

      Constant for ancestors XMLNS atributes not processed
      See Also:
        Constant Field Values

    - #### ANCESTORHASXMLNS

          public static final int ANCESTORHASXMLNS

      Constant indicating an ancestor has an XMLNS attribute
      See Also:
        Constant Field Values

    - #### ANCESTORNOXMLNS

          public static final int ANCESTORNOXMLNS

      Constant indicating ancestors don't have an XMLNS attribute
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NSInfo

          public NSInfo(boolean hasProcessedNS,
                        boolean hasXMLNSAttrs)

      Constructor NSInfo
      Parameters:
        `hasProcessedNS` - Flag indicating whether namespaces have been processed for this node
        `hasXMLNSAttrs` - Flag indicating whether this node has XMLNS attributes.

    - #### NSInfo

          public NSInfo(boolean hasProcessedNS,
                        boolean hasXMLNSAttrs,
                        int ancestorHasXMLNSAttrs)

      Constructor NSInfo
      Parameters:
        `hasProcessedNS` - Flag indicating whether namespaces have been processed for this node
        `hasXMLNSAttrs` - Flag indicating whether this node has XMLNS attributes.
        `ancestorHasXMLNSAttrs` - Flag indicating whether one of this node's ancestor has XMLNS attributes.

    - #### NSInfo

          public NSInfo(java.lang.String namespace,
                        boolean hasXMLNSAttrs)

      Constructor NSInfo
      Parameters:
        `namespace` - The namespace URI
        `hasXMLNSAttrs` - Flag indicating whether this node has XMLNS attributes.

Copyright © 2023 Apache XML Project. All Rights Reserved.